%define	name	m4
%define	version	1.4.10
%define	release	%mkrel 3

Summary:	The GNU macro processor
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Other
Url:		http://www.gnu.org/software/m4/
Source0:	ftp://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.bz2.sig
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires(post,preun):	info-install

%description
A GNU implementation of the traditional UNIX macro processor.  M4 is
useful for writing text files which can be logically parsed, and is used
by many programs as part of their build process.  M4 has built-in
functions for including files, running shell commands, doing arithmetic,
etc.  The autoconf program needs m4 for generating configure scripts, but
not for running configure scripts.

m4 is most likely needed if you want to compile or develop software.

%prep
%setup -q

%build
%configure2_5x
%make

make check

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std infodir=%{_datadir}/info

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS README BACKLOG THANKS ChangeLog
%{_bindir}/%{name}
%{_infodir}/*
%{_mandir}/man1*/*


%changelog
* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.4.10-3mdv2008.1
+ Revision: 152890
- rebuild
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Jul 14 2007 Funda Wang <fundawang@mandriva.org> 1.4.10-1mdv2008.0
+ Revision: 51975
- New version

* Sat Jul 07 2007 Funda Wang <fundawang@mandriva.org> 1.4.9-1mdv2008.0
+ Revision: 49330
- New version


* Sun Dec 10 2006 Emmanuel Andry <eandry@mandriva.org> 1.4.8-1mdv2007.0
+ Revision: 94417
- New version 1.4.8
- Import m4

* Fri Jan 06 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.4.4-1mdk
- 1.4.4
- %%mkrel

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.4.3-2mdk
- Rebuild

* Wed Jun 08 2005 Abel Cheung <deaddog@mandriva.org> 1.4.3-1mdk
- 1.4.3
- Can makeinstall_std now
- Prereq -> Requires
- Use bz2 again since it is readily available in mirror (with signature)
- Fix URL

* Wed Nov 10 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.4.2-1mdk
- 1.4.2
- cosmetics

* Fri Jun 11 2004 Abel Cheung <deaddog@deaddog.org> 1.4.1-1mdk
- Finally, after 10 years...
- Patch not needed
- Use tar.gz instead, package is signed

